Package org.springframework.security.jackson2

# Class SimpleGrantedAuthorityMixin

java.lang.Object
org.springframework.security.jackson2.SimpleGrantedAuthorityMixin

public abstract class SimpleGrantedAuthorityMixin extends Object
Jackson Mixin class helps in serialize/deserialize `SimpleGrantedAuthority`.

         ObjectMapper mapper = new ObjectMapper();
         mapper.registerModule(new CoreJackson2Module());

Since:
  4.2
See Also:
  - `CoreJackson2Module`
  - `SecurityJackson2Modules`

## Constructor Summary

Constructors
Constructor
Description
`SimpleGrantedAuthorityMixin(String role)`
Mixin Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleGrantedAuthorityMixin

public SimpleGrantedAuthorityMixin(String role)
Mixin Constructor.

Parameters:
  `role` - the role